[ Identification | Description | Input parameters | Output parameters | Links ]

# The `Progress_bar` Component

A simulation progress bar

## Identification

- Author: Emmanuel Farhi
- Origin: ILL
- Date: 2002
- Version: 1.14

## Description

    An indicator of the progress of the simulation, monitoring
    the Init, Trace with the achieved percentage, and the Finally section.
    Intermediate savings (e.g. triggered by USR2 signal) are also shown.
    This component should be positioned at the very begining of the instrument

    Example: Progress_bar(percent=10,flag_save=1) AT (0,0,0)

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
percent | % | percentage interval between indications. Default is 10%. | 10
flag_save | 0|1 | flag to enable intermediate saving for all monitors | 0

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
IntermediateCnts |  |  |
StartTime |  |  |
EndTime |  |  |

## Links

- Source code for `Progress_bar.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]